local debug = false

--[===[@debug@
debug = true
--@end-debug@]===]

local L = LibStub("AceLocale-3.0"):NewLocale("Parrot", "enUS", true, debug)
L["|cffffff00Left-Click|r to change settings with a nice GUI configuration."] = true
L["|cffffff00Right-Click|r to change settings with a drop-down menu."] = true
L["Floating Combat Text of awesomeness. Caw. It'll eat your crackers."] = true
L["Game damage"] = true
L["Game healing"] = true
L["General"] = true
L["General settings"] = true
L["Inherit"] = true
L["Parrot"] = true
L["Parrot Configuration"] = true
L["Show guardian events"] = true
L["Waterfall-1.0 is required to access the GUI."] = true
L["Whether events involving your guardian(s) (totems, ...) should be displayed"] = true
L["Whether to show damage over the enemy's heads."] = true
L["Whether to show healing over the enemy's heads."] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_CombatEvents", "enUS", true, debug)
L["Abbreviate"] = true
L[" ([Amount] absorbed)"] = true
L[" ([Amount] blocked)"] = true
L[" ([Amount] overheal)"] = true
L[" ([Amount] overkill)"] = true
L[" ([Amount] resisted)"] = true
L[" ([Amount] vulnerable)"] = true
L["Arcane"] = true
L["Change event settings"] = true
L["Color"] = true
L["Color of the text for the current event."] = true
L["Critical hits/heals"] = true
L["Crushing blows"] = true
L["Custom font"] = true
L["Damage types"] = true
L["Do not shorten spell names."] = true
L["Enabled"] = true
L["Enable the current event."] = true
L["Enable to show crits in the sticky style."] = true
L["Event modifiers"] = true
L["Events"] = true
L["Filters"] = true
L["Filters to be checked for a minimum amount of damage/healing/etc before showing."] = true
L["Fire"] = true
L["Font face"] = true
L["Font outline"] = true
L["Font size"] = true
L["Frost"] = true
L["Gift of the Wild => Gift of t..."] = true
L["Gift of the Wild => GotW."] = true
L["Glancing hits"] = true
L["Holy"] = true
L["How or whether to shorten spell names."] = true
L["Incoming"] = true
L["Incoming events are events which a mob or another player does to you."] = true
L["Inherit"] = true
L["Inherit font size"] = true
L["Length"] = true
L["Nature"] = true
L["None"] = true
L["Notification"] = true
L["Notification events are available to notify you of certain actions."] = true
L["Options for damage types."] = true
L["Options for event modifiers."] = true
L["Outgoing"] = true
L["Outgoing events are events which you do to a mob or another player."] = true
L["Overheals"] = true
L["Overkills"] = true
L["Partial absorbs"] = true
L["Partial blocks"] = true
L["Partial resists"] = true
L["Physical"] = true
L["Scoll area where all events will be shown"] = true
L["Scroll area"] = true
L["Shadow"] = true
L["Shorten spell names"] = true
L["Sound"] = true
L["Sticky"] = true
L["Sticky crits"] = true
L["Style"] = true
L["Tag"] = true
L["<Tag>"] = true
L["Tag to show for the current event."] = true
L["Text"] = true
L["<Text>"] = true
L["[Text] (crit)"] = true
L["[Text] (crushing)"] = true
L["[Text] (glancing)"] = true
L["The amount of damage absorbed."] = true
L["The amount of damage blocked."] = true
L["The amount of damage resisted."] = true
L["The amount of overhealing."] = true
L["The amount of overkill."] = true
L["The amount of vulnerability bonus."] = true
L["The length at which to shorten spell names."] = true
L["The normal text."] = true
L["Thick"] = true
L["Thin"] = true
L["Throttle events"] = true
L["Truncate"] = true
L["Uncategorized"] = true
L["Vulnerability bonuses"] = true
L[ [=[What amount to filter out. Any amount below this will be filtered.
Note: a value of 0 will mean no filtering takes place.]=] ] = true
L["What color this damage type takes on."] = true
L["What color this event modifier takes on."] = true
L["What sound to play when the current event occurs."] = true
L["What text this event modifier shows."] = true
L[ [=[What timespan to merge events within.
Note: a time of 0s means no throttling will occur.]=] ] = true
L["Whether all events in this category are enabled."] = true
L["Whether the current event should be classified as \"Sticky\""] = true
L["Whether to color damage types or not."] = true
L["Whether to color event modifiers or not."] = true
L["Whether to enable showing this event modifier."] = true
L["Whether to merge mass events into single instances instead of excessive spam."] = true
L["Which scroll area to use."] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_Display", "enUS", true, debug)
L["Enable icons"] = true
L["How opaque/transparent icons should be."] = true
L["How opaque/transparent the text should be."] = true
L["Icon transparency"] = true
L["Master font settings"] = true
L["None"] = true
L["Normal font"] = true
L["Normal font face."] = true
L["Normal font size"] = true
L["Normal outline"] = true
L["Set whether icons should be enabled or disabled altogether."] = true
L["Sticky font"] = true
L["Sticky font face."] = true
L["Sticky font size"] = true
L["Sticky outline"] = true
L["Text transparency"] = true
L["Thick"] = true
L["Thin"] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_ScrollAreas", "enUS", true, debug)
L["Add a new scroll area."] = true
L["Animation style"] = true
L["Animation style for normal texts."] = true
L["Animation style for sticky texts."] = true
L["Are you sure?"] = true
L["Center of screen"] = true
L["Click and drag to the position you want."] = true
L["Configuration mode"] = true
L["Create"] = true
L["Custom font"] = true
L["Direction"] = true
L["Direction for normal texts."] = true
L["Direction for sticky texts."] = true
L["Disable"] = true
L["Edge of screen"] = true
L["Enter configuration mode, allowing you to move around the scroll areas and see them in action."] = true
L["How fast the text scrolls by."] = true
L["How large of an area to scroll."] = true
L["Icon side"] = true
L["Incoming"] = true
L["Inherit"] = true
L["Left"] = true
L["Name"] = true
L["<Name>"] = true
L["Name of the scroll area."] = true
L["New scroll area"] = true
L["None"] = true
L["Normal"] = true
L["Normal font face"] = true
L["Normal font outline"] = true
L["Normal font size"] = true
L["Normal inherit font size"] = true
L["Notification"] = true
L["Options for this scroll area."] = true
L["Options regarding scroll areas."] = true
L["Outgoing"] = true
L["Position: %d, %d"] = true
L["Position: horizontal"] = true
L["Position: vertical"] = true
L["Remove"] = true
L["Remove this scroll area."] = true
L["Right"] = true
L["Scroll areas"] = true
L["Scroll area: %s"] = true
L["Scrolling speed"] = true
L["Seconds for the text to complete the whole cycle, i.e. larger numbers means slower."] = true
L["Send"] = true
L["Send a normal test message."] = true
L["Send a sticky test message."] = true
L["Send a test message through this scroll area."] = true
L["Set the icon side for this scroll area or whether to disable icons entirely."] = true
L["Size"] = true
L["Sticky"] = true
L["Sticky font face"] = true
L["Sticky font outline"] = true
L["Sticky font size"] = true
L["Sticky inherit font size"] = true
L["Test"] = true
L["The position of the box across the screen"] = true
L["The position of the box up-and-down the screen"] = true
L["Thick"] = true
L["Thin"] = true
L["Which animation style to use."] = true
L["Which direction the animations should follow."] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_Suppressions", "enUS", true, debug)
L["Add a new suppression."] = true
L["<Any text> or <Lua search expression>"] = true
L["Are you sure?"] = true
L["Create"] = true
L["Edit"] = true
L["Edit search string"] = true
L["List of strings that will be squelched if found."] = true
L["Lua search expression"] = true
L["New suppression"] = true
L["Remove"] = true
L["Remove suppression"] = true
L["Suppressions"] = true
L["Whether the search string is a lua search expression or not."] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_Triggers", "enUS", true, debug)
L["Add a new primary condition"] = true
L["Add a new secondary condition"] = true
L["Are you sure?"] = true
L["Check every XX seconds"] = true
L["Classes"] = true
L["Classes affected by this trigger."] = true
L["Cleanup Triggers"] = true
L["Color"] = true
L["Color of the text for this trigger."] = true
L["Create"] = true
L["Create a new trigger"] = true
L["Custom font"] = true
L["Delete all Triggers that belong to a different locale"] = true
L["Enabled"] = true
L["Font face"] = true
L["Font outline"] = true
L["Font size"] = true
L["Free %s!"] = true
L["Icon"] = true
L["Inherit"] = true
L["Inherit font size"] = true
L["Low Health!"] = true
L["Low Mana!"] = true
L["Low Pet Health!"] = true
L["New condition"] = true
L["New trigger"] = true
L["None"] = true
L["Output"] = true
L["Primary conditions"] = true
L["Remove"] = true
L["Remove a primary condition"] = true
L["Remove a secondary condition"] = true
L["Remove condition"] = true
L["Remove this trigger completely."] = true
L["Remove trigger"] = true
L["%s!"] = true
L["Scroll area"] = true
L["Secondary conditions"] = true
L["Sound"] = true
L["<Spell name> or <Item name> or <Path> or <SpellId>"] = true
L["Sticky"] = true
L["Test"] = true
L["Test how the trigger will look and act."] = true
L["<Text to show>"] = true
L["The icon that is shown"] = true
L["The text that is shown"] = true
L["Thick"] = true
L["Thin"] = true
L["Trigger cooldown"] = true
L["Triggers"] = true
L["What sound to play when the trigger is shown."] = true
L["When all of these conditions apply, the trigger will be shown."] = true
L["When any of these conditions apply, the secondary conditions are checked."] = true
L["Whether the trigger is enabled or not."] = true
L["Whether to show this trigger as a sticky."] = true
L["Which scroll area to output to."] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_TriggerConditions", "enUS", true, debug)


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_AnimationStyles", "enUS", true, debug)
L["Action"] = true
L["Action Sticky"] = true
L["Alternating"] = true
L["Angled"] = true
L["Down, alternating"] = true
L["Down, center-aligned"] = true
L["Down, clockwise"] = true
L["Down, counter-clockwise"] = true
L["Down, left"] = true
L["Down, left-aligned"] = true
L["Down, right"] = true
L["Down, right-aligned"] = true
L["Horizontal"] = true
L["Left"] = true
L["Left, clockwise"] = true
L["Left, counter-clockwise"] = true
L["Parabola"] = true
L["Pow"] = true
L["Rainbow"] = true
L["Right"] = true
L["Right, clockwise"] = true
L["Right, counter-clockwise"] = true
L["Semicircle"] = true
L["Sprinkler"] = true
L["Static"] = true
L["Straight"] = true
L["Up, alternating"] = true
L["Up, center-aligned"] = true
L["Up, clockwise"] = true
L["Up, counter-clockwise"] = true
L["Up, left"] = true
L["Up, left-aligned"] = true
L["Up, right"] = true
L["Up, right-aligned"] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_Auras", "enUS", true, debug)
L["Auras"] = true
L["Buff active"] = true
L["Buff fades"] = true
L["Buff gains"] = true
L["Buff inactive"] = true
L["<Buff name>"] = true
L["<Buff name>,<Number of stacks>"] = true
L["Buff stack gains"] = true
L["Debuff fades"] = true
L["Debuff gains"] = true
L["<Debuff name>"] = true
L["Debuff stack gains"] = true
L["Focus buff fade"] = true
L["Focus buff gain"] = true
L["Focus debuff fade"] = true
L["Focus debuff gain"] = true
L["Item buff fades"] = true
L["Item buff gains"] = true
L["<Item buff name>"] = true
L["New Amount of stacks of the buff."] = true
L["New Amount of stacks of the debuff."] = true
L["Self buff fade"] = true
L["Self buff gain"] = true
L["Self buff stacks gain"] = true
L["Self debuff fade"] = true
L["Self debuff gain"] = true
L["Self item buff fade"] = true
L["Self item buff gain"] = true
L["Target buff fade"] = true
L["Target buff gain"] = true
L["Target buff gains"] = true
L["Target buff stack gains"] = true
L["Target debuff fade"] = true
L["Target debuff gain"] = true
L["The name of the buff gained."] = true
L["The name of the buff lost."] = true
L["The name of the debuff gained."] = true
L["The name of the debuff lost."] = true
L["The name of the item buff gained."] = true
L["The name of the item buff lost."] = true
L["The name of the item, the buff has been applied to."] = true
L["The name of the item, the buff has faded from."] = true
L["The name of the unit that gained the buff."] = true


-- L["The rank of the item buff gained."] = true -- not used anymore
-- L["The rank of the item buff lost."] = true -- not used anymore

L = LibStub("AceLocale-3.0"):NewLocale("Parrot_CombatEvents_Data", "enUS", true, debug)
L["Ability blocks"] = true
L["Ability dodges"] = true
L["Ability misses"] = true
L["Ability parries"] = true
L["Absorb!"] = true
L["-[Amount] [Type]"] = true
L["+[Amount] [Type]"] = true
L["Arcane"] = true
L["Block!"] = true
L["Combat status"] = true
L["Combo point gain"] = true
L["Combo points"] = true
L["Combo points full"] = true
L[" (%d crits)"] = true
L[" (%d gains)"] = true
L[" (%d heal, %d crit)"] = true
L[" (%d heal, %d crits)"] = true
L[" (%d heals)"] = true
L[" (%d heals, %d crit)"] = true
L[" (%d heals, %d crits)"] = true
L[" (%d hit, %d crit)"] = true
L[" (%d hit, %d crits)"] = true
L[" (%d hits)"] = true
L[" (%d hits, %d crit)"] = true
L[" (%d hits, %d crits)"] = true
L[" (%d losses)"] = true
L["Dodge!"] = true
L["DoTs and HoTs"] = true
L["Enter combat"] = true
L["Environmental damage"] = true
L["Evade!"] = true
L["Experience gains"] = true
L["Extra attacks"] = true
L["Fire"] = true
L["Frost"] = true
L["Heals"] = true
L["Heals over time"] = true
L["Holy"] = true
L["Honor gains"] = true
L["Immune!"] = true
L["Incoming damage"] = true
L["Incoming heals"] = true
L["Interrupt!"] = true
L["Killing Blow!"] = true
L["Killing blows"] = true
L["Leave combat"] = true
L["Melee"] = true
L["Melee absorbs"] = true
L["Melee blocks"] = true
L["Melee damage"] = true
L["Melee dodges"] = true
L["Melee evades"] = true
L["Melee immunes"] = true
L["Melee misses"] = true
L["Melee parries"] = true
L["Miss!"] = true
L["Multiple"] = true
L["Nature"] = true
L["NPC killing blows"] = true
L["[Num] CP"] = true
L["[Num] CP Finish It!"] = true
L["Outgoing damage"] = true
L["Outgoing heals"] = true
L["Parry!"] = true
L["Pet ability blocks"] = true
L["Pet ability dodges"] = true
L["Pet ability misses"] = true
L["Pet ability parries"] = true
L["Pet Absorb!"] = true
L["(Pet) -[Amount]"] = true
L["(Pet) +[Amount]"] = true
L["Pet [Amount] ([Skill])"] = true
L["Pet Block!"] = true
L["Pet Dodge!"] = true
L["Pet Evade!"] = true
L["Pet heals"] = true
L["Pet heals over time"] = true
L["Pet Immune!"] = true
L["Pet melee"] = true
L["Pet melee absorbs"] = true
L["Pet melee blocks"] = true
L["Pet melee damage"] = true
L["Pet melee dodges"] = true
L["Pet melee evades"] = true
L["Pet melee immunes"] = true
L["Pet melee misses"] = true
L["Pet melee parries"] = true
L["Pet Miss!"] = true
L["Pet Parry!"] = true
L["Pet Reflect!"] = true
L["Pet Resist!"] = true
L["Pet skill"] = true
L["Pet skill absorbs"] = true
L["Pet skill damage"] = true
L["Pet skill DoTs"] = true
L["Pet skill evades"] = true
L["Pet skill immunes"] = true
L["Pet skill reflects"] = true
L["Pet skills"] = true
L["Pet spell resists"] = true
L["Physical"] = true
L["Player killing blows"] = true
L["Power change"] = true
L["Power gain"] = true
L["Power gain/loss"] = true
L["Power loss"] = true
L["Reactive skills"] = true
L["Reflect!"] = true
L["Reputation"] = true
L["Reputation gains"] = true
L["Reputation losses"] = true
L["Resist!"] = true
L["%s!"] = true
L["Self heals"] = true
L["Self heals over time"] = true
L["Shadow"] = true
L["Skill absorbs"] = true
L["Skill damage"] = true
L["Skill DoTs"] = true
L["Skill evades"] = true
L["Skill gains"] = true
L["Skill immunes"] = true
L["Skill interrupts"] = true
L["Skill reflects"] = true
L["Skills"] = true
L["Skill you were interrupted in casting"] = true
L["Soul shard gains"] = true
L["Spell resists"] = true
L["The ability or spell take away your power."] = true
L["The ability or spell used to gain power."] = true
L["The ability or spell your pet used."] = true
L["The amount of damage done."] = true
L["The amount of experience points gained."] = true
L["The amount of healing done."] = true
L["The amount of honor gained."] = true
L["The amount of power gained."] = true
L["The amount of power lost."] = true
L["The amount of reputation gained."] = true
L["The amount of reputation lost."] = true
L["The amount of skill points currently."] = true
L["The character that caused the power loss."] = true
L["The character that the power comes from."] = true
L["The current number of combo points."] = true
L["The name of the ally that healed you."] = true
L["The name of the ally that healed your pet."] = true
L["The name of the ally you healed."] = true
L["The name of the enemy slain."] = true
L["The name of the enemy that attacked you."] = true
L["The name of the enemy that attacked your pet."] = true
L["The name of the enemy you attacked."] = true
L["The name of the enemy your pet attacked."] = true
L["The name of the faction."] = true
L["The name of the soul shard."] = true
L["The name of the spell or ability which provided the extra attacks."] = true
L["The name of the unit that your pet healed."] = true
L["The rank of the enemy slain."] = true
L["The skill which experienced a gain."] = true
L["The spell or ability that the ally healed your pet with."] = true
L["The spell or ability that the ally healed you with."] = true
L["The spell or ability that the enemy attacked your pet with."] = true
L["The spell or ability that the enemy attacked you with."] = true
L["The spell or ability that the pet used to heal."] = true
L["The spell or ability that your pet used."] = true
L["The spell or ability that you used."] = true
L["The spell or ability used to slay the enemy."] = true
L["The spell you interrupted"] = true
L["The type of damage done."] = true
L["The type of power gained (Mana, Rage, Energy)."] = true
L["The type of power lost (Mana, Rage, Energy)."] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_Cooldowns", "enUS", true, debug)
L["Cooldowns"] = true
L["Divine Shield"] = true
L["Shocks"] = true
L["Skill cooldown finish"] = true
L["[[Skill] ready!]"] = true
L["<Spell name>"] = true
L["Spell ready"] = true
L["Spell usable"] = true
L["%s Tree"] = true
L["The name of the spell or ability which is ready to be used."] = true
L["Traps"] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_Loot", "enUS", true, debug)
L["Loot"] = true
L["Loot +[Amount]"] = true
L["Loot items"] = true
L["Loot money"] = true
L["Loot [Name] +[Amount]([Total])"] = true
L["The amount of gold looted."] = true
L["The amount of items looted."] = true
L["The name of the item."] = true
L["The total amount of items in inventory."] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_TriggerConditions_Data", "enUS", true, debug)
L["Deathknight presence"] = true
L["Druid Form"] = true
L["Enemy target health percent"] = true
L["Friendly target health percent"] = true
L["In a Group or Raid"] = true
L["Incoming block"] = true
L["Incoming cast"] = true
L["Incoming crit"] = true
L["Incoming dodge"] = true
L["Incoming parry"] = true
L["Minimum power amount"] = true
L["Not Deathknight presence"] = true
L["Not in Druid Form"] = true
L["Not in warrior stance"] = true
L["Outgoing block"] = true
L["Outgoing cast"] = true
L["Outgoing crit"] = true
L["Outgoing dodge"] = true
L["Outgoing parry"] = true
L["Pet health percent"] = true
L["Pet mana percent"] = true
L["Self health percent"] = true
L["Self mana percent"] = true
L["<Skill name>"] = true
L["Warrior stance"] = true


L = LibStub("AceLocale-3.0"):NewLocale("Parrot_CombatStatus", "enUS", true, debug)
L["-Combat"] = true
L["+Combat"] = true
L["Combat status"] = true
L["Enter combat"] = true
L["In combat"] = true
L["Leave combat"] = true
L["Not in combat"] = true

